SDL_GetRenderViewport(3)

NAME
SDL_GetRenderViewport - Get the drawing area for the current target.

SYNOPSIS
#include <SDL3/SDL_render.h>

bool SDL_GetRenderViewport(SDL_Renderer *renderer, SDL_Rect *rect);

DESCRIPTION
Each render target has its own viewport. This function gets the viewport for the current render target.

FUNCTION PARAMETERS

renderer
    the rendering context.

rect
    an SDL_Rect structure filled in with the current drawing area.

RETURN VALUE
for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_RenderViewportSet(3), SDL_SetRenderViewport(3)